Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1340152 - Review Request: python-certbot-apache - Apache plugin to automatically configure certificate via certbot
Summary: Review Request: python-certbot-apache - Apache plugin to automatically config...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Flink
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1339752
TreeView+ depends on / blocked
 
Reported: 2016-05-26 14:34 UTC by James Hogarth
Modified: 2016-06-18 18:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 04:24:10 UTC
Type: ---
tflink: fedora-review+


Attachments (Terms of Use)

Description James Hogarth 2016-05-26 14:34:41 UTC
Spec URL: https://jhogarth.fedorapeople.org/certbot-apache/python-certbot-apache.spec
SRPM URL: https://jhogarth.fedorapeople.org/certbot-apache/python-certbot-apache-0.6.0-1.fc25.src.rpm

Description: This is a plugin for the certbot tool to automatically authenticate and install an ssl certificate in a httpd mod_ssl instance. This adds the --apache option to certbot and will automatically lookup ssl configuration to adjust the vhost to the relevant domain being authenticated.

Fedora Account System Username: jhogarth

Comment 1 James Hogarth 2016-05-26 15:07:23 UTC
Rawhide koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14261800

Comment 5 Tim Flink 2016-06-07 14:42:01 UTC
Overall, looks pretty good to me. There are some minor things that I'd like to see fixed first. They're listed in the review template below but I'm pulling the one blocker issue and the other potential issue here:

The big one is the BR on python-devel, this should be python2-devel for newer fedoras.

The other issue is less of a blocking issue - The python guidelines mandate the use of the %python_provide macro but in this case, support is python2 only due to upstream limitations. If python3 support is added, it'd be good to switch over to using the macros instead of listing the provides.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
     Issue: The buildrequires is python-devel, not python2-devel
     Note: The python guidelines mandate the use of the %python_provide
           macro but in this case, support is python2 only due to
           upstream limitations. If python3 support is added, it'd be
           good to switch over to using the macros instead of listing
           the provides
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-certbot-apache-0.8.0-1.fc25.noarch.rpm
          python-certbot-apache-0.8.0-1.fc25.src.rpm
python2-certbot-apache.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/certbot_apache/tests/testdata/debian_apache_2_4/multiple_vhosts/apache2/mods-enabled/.gitignore
python2-certbot-apache.noarch: E: zero-length /usr/lib/python2.7/site-packages/certbot_apache/tests/testdata/debian_apache_2_4/multiple_vhosts/apache2/mods-enabled/.gitignore
2 packages and 0 specfiles checked; 2 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python2-certbot-apache.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/certbot_apache/tests/testdata/debian_apache_2_4/multiple_vhosts/apache2/mods-enabled/.gitignore
python2-certbot-apache.noarch: E: zero-length /usr/lib/python2.7/site-packages/certbot_apache/tests/testdata/debian_apache_2_4/multiple_vhosts/apache2/mods-enabled/.gitignore
1 packages and 0 specfiles checked; 2 errors, 0 warnings.



Requires
--------
python2-certbot-apache (rpmlib, GLIBC filtered):
    python(abi)
    python2-augeas
    python2-certbot



Provides
--------
python2-certbot-apache:
    certbot-apache
    python-certbot-apache
    python2-certbot-apache



Source checksums
----------------
https://files.pythonhosted.org/packages/source/c/certbot-apache/certbot-apache-0.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : cfb211debbcb0d0645c88d7e8bb38c591fca263bfdb5337242c023956055e268
  CHECKSUM(SHA256) upstream package : cfb211debbcb0d0645c88d7e8bb38c591fca263bfdb5337242c023956055e268


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1340152 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 James Hogarth 2016-06-07 14:57:37 UTC
Small tweak to spec - recommends was against the parent, not sub, package which was silly and pointless.

The F23 python-augeas doesn't provide python2-augeas so since it's a target for this use that instead in the requires

Switching over to python2-devel specifically as per pointed out 

Do note that that the python_provide macro is actually used in the py2 subpackage ... the specific provides there is so that users can dnf install certbot-apache to get the plugin as a nicer way for them than finding the python2- side of things 

There's a F23 rpm in the FPO space for testing in a public F23 instance 

Spec URL: https://jhogarth.fedorapeople.org/certbot-apache/python-certbot-apache.spec
SRPM URL: https://jhogarth.fedorapeople.org/certbot-apache/python-certbot-apache-0.8.0-2.fc25.src.rpm

Rawhide koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14407994
F23 koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14407991

Comment 7 Tim Flink 2016-06-09 14:41:02 UTC
Looks good to me

Comment 8 Gwyn Ciesla 2016-06-09 15:34:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-certbot-apache

Comment 9 Fedora Update System 2016-06-09 22:09:10 UTC
python-certbot-apache-0.8.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8f2926fbd

Comment 10 Fedora Update System 2016-06-09 22:11:50 UTC
python-certbot-apache-0.8.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-21c50cf71b

Comment 11 Fedora Update System 2016-06-09 22:12:44 UTC
python-certbot-apache-0.8.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9c62ca7b9

Comment 12 Fedora Update System 2016-06-10 17:59:54 UTC
python-certbot-apache-0.8.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8f2926fbd

Comment 13 Fedora Update System 2016-06-11 03:19:07 UTC
python-certbot-apache-0.8.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-21c50cf71b

Comment 14 Fedora Update System 2016-06-11 03:54:12 UTC
python-certbot-apache-0.8.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9c62ca7b9

Comment 15 Fedora Update System 2016-06-16 15:55:32 UTC
certbot-0.8.1-1.fc24, python-acme-0.8.1-1.fc24, python-certbot-apache-0.8.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc35da890b

Comment 16 Fedora Update System 2016-06-17 18:48:52 UTC
certbot-0.8.1-1.el7, python-acme-0.8.1-1.el7, python-certbot-apache-0.8.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8c35bdeb4

Comment 17 Fedora Update System 2016-06-17 18:55:20 UTC
certbot-0.8.1-1.fc23, python-acme-0.8.1-1.fc23, python-certbot-apache-0.8.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-39c838d243

Comment 18 Fedora Update System 2016-06-18 04:24:08 UTC
certbot-0.8.1-1.fc23, python-acme-0.8.1-1.fc23, python-certbot-apache-0.8.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-06-18 15:47:18 UTC
certbot-0.8.1-1.el7, python-acme-0.8.1-1.el7, python-certbot-apache-0.8.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-06-18 18:28:42 UTC
certbot-0.8.1-1.fc24, python-acme-0.8.1-1.fc24, python-certbot-apache-0.8.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.